package com.singularsys.jeptests;

import org.junit.Before;
import org.junit.Test;

import com.singularsys.jep.reals.RealEvaluator;

public class RealEvalTest extends CPTest {

    @Override
    @Before
    public void setUp() {
        super.setUp();
        jep.setComponent(new RealEvaluator());
        this.myFalse = new Double(0.0);
        this.myTrue = new Double(1.0);
    }

    @Override
    protected void valueTest(String expr, Object expected) throws Exception {
        if(expected instanceof Integer)
            super.valueTest(expr, ((Integer)expected).doubleValue());
        else
            super.valueTest(expr, expected);
    }


    @Override
    public void testEvaluateComplex() throws Exception {
    }

    @Override
    public void testEvaluateString() throws Exception {
    }

    @Override
    @Test
    public void testComplex() throws Exception {
    }

    @Override
    @Test
    public void testChangeVariableComplex() {
    }

    @Override
    @Test
    public void testListAccess() throws Exception {
    }

    @Override
    @Test
    public void testMultiDimArray() throws Exception {
    }

    @Override
    @Test
    public void testMultiDimArrayAccess() throws Exception {
    }

    @Override
    @Test
    public void testStrings() throws Exception {
    }

    @Override
    @Test
    public void testStringsFun() throws Exception {
    }

    @Override
    @Test
    public void testCPStrings() throws Exception {
    }

    @Override
    public void testCaseString() throws Exception {
    }

}
